For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • GET/custom-object-classes/{custom_object_class_id}/custom-objects
          • POST/custom-object-classes/{custom_object_class_id}/custom-objects
          • GET/custom-object-classes/{custom_object_class_id}/custom-objects/{id}
          • GET/custom-object-classes/{custom_object_class_id}/custom-objects/meta/post
          • GET/custom-object-classes/custom-objects/remote-field-classes

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Custom ObjectsCustom objects

/custom-object-classes/{custom_object_class_id}/custom-objects

Beta
GET
/crm/v1/custom-object-classes/:custom_object_class_id/custom-objects
GET
/api/crm/v1/custom-object-classes/:custom_object_class_id/custom-objects
$curl -G https://api.merge.dev/api/crm/v1/custom-object-classes/custom_object_class_id/custom-objects \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "da0b1963-be70-469c-9f8c-06a81d0fe759",
7 "remote_id": "4183634295",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "object_class": "ff1ff4cb-a66b-47dc-8e2a-50388049e602",
11 "fields": {
12 "order_id": "4183634295",
13 "order_quantity": 50,
14 "customer_type": "Returning"
15 },
16 "remote_fields": [
17 {
18 "remote_field_class": {
19 "id": "string",
20 "display_name": "string",
21 "remote_key_name": "string",
22 "description": "string",
23 "is_custom": true,
24 "is_common_model_field": true,
25 "is_required": true,
26 "field_type": "string",
27 "field_format": "string",
28 "field_choices": [
29 "string"
30 ],
31 "item_schema": {
32 "item_type": "string",
33 "item_format": "string",
34 "item_choices": [
35 "string"
36 ]
37 }
38 },
39 "value": "string"
40 }
41 ]
42 }
43 ]
44}

Returns a list of CustomObject objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/custom-object-classes/{id}

Next

/custom-object-classes/{custom_object_class_id}/custom-objects

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

custom_object_class_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_idstringOptional
The API provider's ID for the given object.

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.